﻿@model PROJETMODELE.Models.VML.TP.ClientVM
@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" >
    <div>Ajout</div>
    <div class="forms">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <table>


                <tr>
                    <td>@Html.LabelFor(model => model.Nom)</td>
                    <td>@Html.EditorFor(model => model.Nom)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.Adresse)</td>
                    <td>@Html.EditorFor(model => model.Adresse)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.Telephone)</td>
                    <td>@Html.EditorFor(model => model.Telephone)</td>
                </tr>


            </table>
            <br />
            <p>
                <button title="Valider" type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
                <button title="Annuler" type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
            </p>
        }
    </div>
</div>
<script>
    $('#formulaire').jqxValidator({
        rules: [

            { input: '#Nom', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Nom', message: 'Le nom doit contenir au plus 150 caractères!', action: 'keyup, blur', rule: 'length=1,150' },
            { input: '#Adresse', message: 'L\'adresse doit contenir au plus 50 caractères!', action: 'keyup, blur', rule: 'length=0,50' },
            { input: '#Telephone', message: 'Le téléphone doit contenir au plus 50 caractères!', action: 'keyup, blur', rule: 'length=0,50' },

        ],
    });
    $("#Nom").jqxInput({ placeHolder: "Nom ... ", height: 25, width: 280, theme: "ui-redmond" });
    $("#Adresse").jqxInput({ placeHolder: "Adresse ... ", height: 25, width: 280, theme: "ui-redmond" });
    $("#Telephone").jqxInput({ placeHolder: "Téléphone ... ", height: 25, width: 280, theme: "ui-redmond" });
</script>
